git: 4d1ba6febfa7 - main - bsdinstall hardening: Replace dialog with bsddialog

From: Alfonso S. Siciliano <asiciliano_at_FreeBSD.org>
Date: Tue, 22 Mar 2022 23:59:21 UTC
The branch main has been updated by asiciliano:

URL: https://cgit.FreeBSD.org/src/commit/?id=4d1ba6febfa7c7808027fd1ef60b3bffadd17853

commit 4d1ba6febfa7c7808027fd1ef60b3bffadd17853
Author:     Alfonso S. Siciliano <asiciliano@FreeBSD.org>
AuthorDate: 2022-03-22 23:52:22 +0000
Commit:     Alfonso S. Siciliano <asiciliano@FreeBSD.org>
CommitDate: 2022-03-22 23:58:48 +0000

    bsdinstall hardening: Replace dialog with bsddialog
    
    bsdinstall/scripts/hardening: Replace (LGPL) dialog utility with
    (BSD-2-CLAUSE) dialog utility.
    
    Approved by:            bapt (mentor)
    Differential Revision:  https://reviews.freebsd.org/D34102
---
 usr.sbin/bsdinstall/scripts/hardening | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/usr.sbin/bsdinstall/scripts/hardening b/usr.sbin/bsdinstall/scripts/hardening
index 58ea0a112e26..065241ef8b25 100755
--- a/usr.sbin/bsdinstall/scripts/hardening
+++ b/usr.sbin/bsdinstall/scripts/hardening
@@ -26,14 +26,14 @@
 #
 # $FreeBSD$
 
-: ${DIALOG_OK=0}
+: ${BSDDIALOG_OK=0}
 
 echo -n > $BSDINSTALL_TMPETC/rc.conf.hardening
 echo -n > $BSDINSTALL_TMPETC/sysctl.conf.hardening
 echo -n > $BSDINSTALL_TMPBOOT/loader.conf.hardening
 
 exec 3>&1
-FEATURES=$( dialog --backtitle "FreeBSD Installer" \
+FEATURES=$( bsddialog --backtitle "FreeBSD Installer" \
     --title "System Hardening" --nocancel --separate-output \
     --checklist "Choose system security hardening options:" \
     0 0 0 \
@@ -49,8 +49,13 @@ FEATURES=$( dialog --backtitle "FreeBSD Installer" \
 	"9 secure_console" "Enable console password prompt" ${secure_console:-off} \
 	"10 disable_ddtrace" "Disallow DTrace destructive-mode" ${disable_ddtrace:-off} \
 2>&1 1>&3 )
+retval=$?
 exec 3>&-
 
+if [ $retval -ne $BSDDIALOG_OK ]; then
+	exit 1
+fi
+
 for feature in $FEATURES; do
 	case "$feature" in
 	hide_uids)
@@ -88,4 +93,3 @@ for feature in $FEATURES; do
 		;;
 	esac
 done
-